curl --request POST \
--url https://services.leadconnectorhq.com/conversations/messages/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'Version: <version>' \
--form conversationId=ve9EPM428h8vShlRW1KT \
--form 'locationId=<string>' \
--form 'attachmentUrls=<string>'{
"uploadedFiles": {}
}Post the necessary fields for the API to upload files. The files need to be a buffer with the key “fileAttachment”.
The allowed file types are:
curl --request POST \
--url https://services.leadconnectorhq.com/conversations/messages/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'Version: <version>' \
--form conversationId=ve9EPM428h8vShlRW1KT \
--form 'locationId=<string>' \
--form 'attachmentUrls=<string>'{
"uploadedFiles": {}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Uploaded the file successfully
Was this page helpful?